Bug 837016 - (CVE-2012-3818) CVE-2012-3818 revelation (fpm exporter): Password not encrypted when exporting a file
CVE-2012-3818 revelation (fpm exporter): Password not encrypted when exportin...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120606,reported=2...
: Security
Depends On: 837019 837017
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 10:14 EDT by Jan Lieskovsky
Modified: 2015-08-22 12:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 12:16:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-07-02 10:14:35 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2012-3818 to the following vulnerability:

The fpm exporter in Revelation 0.4.13-2 and earlier encrypts the version number but not the password when exporting a file, which might allow local users to obtain sensitive information.

References:
[1] http://als.regnet.cz/fpm2/feedback/2
[2] http://knoxin.blogspot.co.uk/2012/06/revelation-password-manager-considered.html
Comment 1 Jan Lieskovsky 2012-07-02 10:16:25 EDT
This issue affects the versions of the revelation package, as shipped with Fedora release of 16 and 17. Please schedule an update once final upstream patch available.

--

This issue affects the version of the revelation package, as shipped with Fedora EPEL 5. Please schedule an update once final upstream patch available.
Comment 2 Jan Lieskovsky 2012-07-02 10:17:20 EDT
Created revelation tracking bugs for this issue

Affects: fedora-all [bug 837017]
Affects: epel-5 [bug 837019]
Comment 3 Jan Lieskovsky 2012-07-02 10:19:13 EDT
Due the patch itself - upstream v0.14.4 release NEWS contains:

2012-07-01: Revelation 0.4.14
=============================

New features:
- Added a new file encryption format using PBKDF2 #61 [Mikel Olasagasti Uranga]
- Warn users about old file encryption format being non-secure
- Moved applet to own dir to fix 'make dist'

thus maybe adding a warning would be sufficient till there is upstream old-format fix.
Comment 4 Jef Spaleta 2012-07-02 16:37:10 EDT
yes... pre-release scratch build has the patch..... 
rolling new scratch build and rawhide build with the new release today.

-jef
Comment 5 Jan Lieskovsky 2012-07-03 03:59:47 EDT
(In reply to comment #4)
> rolling new scratch build and rawhide build with the new release today.

Thanks for that, Jan.

> 
> -jef

Note You need to log in before you can comment on or make changes to this bug.